<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: LCDLib/Source/LCDLIB.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_02de365e572d7e73aaf164675e97f837.html">LCDLib</a></li><li class="navelem"><a class="el" href="dir_d0db4d15118174b03f0ac10148211756.html">Source</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">LCDLIB.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="lcd_8h_source.html">lcd.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_l_c_d_l_i_b_8h_source.html">LCDLIB.h</a>&quot;</code><br />
</div>
<p><a href="_l_c_d_l_i_b_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gab4eec8bf4978835b793764276f53f0a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">LCDLIB_Printf</a> (uint32_t u32Zone, char *string)</td></tr>
<tr class="memdesc:gab4eec8bf4978835b793764276f53f0a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display text on LCD.  <a href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">More...</a><br /></td></tr>
<tr class="separator:gab4eec8bf4978835b793764276f53f0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">LCDLIB_PrintNumber</a> (uint32_t u32Zone, long long <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)</td></tr>
<tr class="memdesc:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display number on LCD.  <a href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">More...</a><br /></td></tr>
<tr class="separator:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8ede697562cea379a6eb00a0157a28f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">LCDLIB_PutChar</a> (uint32_t u32Zone, uint32_t u32Index, uint8_t u8Ch)</td></tr>
<tr class="memdesc:gaf8ede697562cea379a6eb00a0157a28f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display character on LCD.  <a href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">More...</a><br /></td></tr>
<tr class="separator:gaf8ede697562cea379a6eb00a0157a28f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcca43be459440650558de1c0e556fb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">LCDLIB_SetSymbol</a> (uint32_t u32Zone, uint32_t u32Index, uint32_t u32OnOff)</td></tr>
<tr class="memdesc:gabcca43be459440650558de1c0e556fb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display symbol on LCD.  <a href="group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">More...</a><br /></td></tr>
<tr class="separator:gabcca43be459440650558de1c0e556fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
